
Public Support - Support Request #14244

Limited functionality regarding included sessions

2021-05-06 12:45 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10554,

https://www.cip.audi.de/jira/browse/ACO

RE-11048

Department:  Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Bei der Migration unseres Frameworks auf ADTF3 sind uns eine Reihe von Bugs oder fehlender Features aufgefallen, die ich jetzt

nach und nach melden werde. Alternativ können wir auch gerne gemeinsam über unsere OPL schauen und evtl. existierende Tickets

zuordnen.

Fürs bessere Tracking sende ich erstmal für jedes Thema eine einzelne Mail.

Thema: ADTF3: Session Import funktioniert nur sehr eingeschränkt

Session Imports werden im CE zwar angezeigt, können aber nichts als "Sub-Graph" geöffnet werden.

Damit ist auf CE Ebene unklar, ob der Graph aus dem Include überhaupt sauber vom Launcher verwendet wird.

Wenn der Launcher parallel läuft werden im Graphen des Session Includes keine Datenraten usw. angezeigt.

Warum wird ein Session Include nicht analog eines SubGraphen behandelt?

Lösung

Session Imports werden im CE zwar angezeigt, können aber nichts als "Sub-Graph" geöffnet werden.

Die Frage greife ich schon mal ab, dazu gibt es bereits ein Ticket, muss noch umgesetzt werden:

[ACORE-10554] - Provide option to open included graph in new instance

Warum wird ein Session Include nicht analog eines SubGraphen behandelt?

 Leider ist das nicht so trivial, da im Gegensatz zu ADTF 2.x da noch mehrere Meta Files mit reinspielen und deren Abhängigkeiten,

deshalb muss der Scope eines CE immer die aktuelle Session sein und der inkludierte Graph/Session muss als Blackbox behandelt

werden.

Das Öffnen/editieren ist natürlich valide, dazu muss aber der Scope gewechselt werden, das werden wir einbauen, vermutlich als

neuen CE, ansonsten können wir die Konsistenz nicht garantieren.

Langfristig lässt sich das ggf. noch eleganter lösen.

Damit ist auf CE Ebene unklar, ob der Graph aus dem Include überhaupt sauber vom Launcher verwendet wird.

 Das soll dich als User eigentlich nicht quälen, die Bedingung ist, dass eine Session standalone konstistent und lauffähig ist, dann

kann sie auch integriert werden und der CE löst alles rekursiv auf.

Wenn der Launcher parallel läuft werden im Graphen des Session Includes keine Datenraten usw. angezeigt.

Diese Funktion gibt es noch nicht. Das Problem ist das der CE keine Information hat, wie der Subgraph heißt und kann so die
Namen nicht auflösen.

Aber das wäre natürlich ein wünschenswertes Feature:

[ACORE-11048] - CE Remote connection should support included sessions

History

#1 - 2021-05-06 12:56 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Customer set to VW

- Topic set to ADTF::CE

#2 - 2021-05-06 12:59 - hidden

- Description updated

#3 - 2021-05-06 13:01 - hidden

- Description updated

#5 - 2021-05-06 13:03 - hidden

- Project changed from 20 to 30

- Customer changed from VW to CARIAD

#6 - 2021-05-06 15:33 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10554

Hallo Toni,

Session Imports werden im CE zwar angezeigt, können aber nichts als "Sub-Graph" geöffnet werden.

Die Frage greife ich schon mal ab, dazu gibt es bereits ein Ticket, muss noch umgesetzt werden:

[ACORE-10554] - Provide option to open included graph in new instance

Warum wird ein Session Include nicht analog eines SubGraphen behandelt?

 Leider ist das nicht so trivial, da im Gegensatz zu ADTF 2.x da noch mehrere Meta Files mit reinspielen und deren Abhängigkeiten, deshalb muss der

Scope eines CE immer die aktuelle Session sein und der inkludierte Graph/Session muss als Blackbox behandelt werden.

Das Öffnen/editieren ist natürlich valide, dazu muss aber der Scope gewechselt werden, das werden wir einbauen, vermutlich als neuen CE,

ansonsten können wir die Konsistenz nicht garantieren.

Langfristig lässt sich das ggf. noch eleganter lösen.

Damit ist auf CE Ebene unklar, ob der Graph aus dem Include überhaupt sauber vom Launcher verwendet wird.

 Das soll dich als User eigentlich nicht quälen, die Bedingung ist, dass eine Session standalone konstistent und lauffähig ist, dann kann sie auch

integriert werden und der CE löst alles rekursiv auf.

Wenn der Launcher parallel läuft werden im Graphen des Session Includes keine Datenraten usw. angezeigt.

 Die Frage geb ich an den Fachmann, der das Feature eingebaut hat.

Ich vermute es hat damit zu tun, dass der Remote Connect auf den Sessionnamen geht, die Bedingung kann hier nicht abgedeckt werden.

Sebastian ?

#7 - 2021-05-06 16:20 - hidden

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-10554 to https://www.cip.audi.de/jira/browse/ACORE-10554,

https://www.cip.audi.de/jira/browse/ACORE-11048

Hallo Toni,

werden im ganzen Graphen in dem der Subgraph inkludiert wurde nichts angezeigt?

Kannst du uns vielleicht ein Screenshot schicken?
Grüße,

Sebastian

#8 - 2021-05-07 08:02 - hidden

- File 2021-05-07 10_00_35-Configuration Editor - C__workspace_SBX_sep_sep_system_build_sep_project_adtfpro.png added

- File 2021-05-07 09_59_48-Configuration Editor - C__workspace_SBX_sep_sep_system_build_sep_project_adtfpro.png added

Moin zusammen,

im Haupt-Graphen werden die Infos angezeigt, aber im Graphen aus dem Session-Include wird nichts angezeigt. Siehe Screenshots.

VG

Toni

#9 - 2021-05-12 08:40 - hidden

Hi Tony,

kurze Info, Sebastian ist diese Woche nicht verfügbar und wird sich das Thema nächste Woche anschauen

#10 - 2021-05-12 08:40 - hidden

- Support Level changed from 2nd Level to 3rd Level

#11 - 2021-05-17 10:28 - hidden

Hi Tony,

jetzt habe ich verschanden. Es geht hier um einen inkludierten Graphen, dass ist mir irgendwie durch gerutscht.

Diese Funktion gibt es noch nicht. Das Problem ist das der CE keine Information hat, wie der Subgraph heißt und kann so die Namen nicht auflösen.

Aber das wäre natürlich ein wünschenswertes Feature. Ich hab hierzu das Ticket: https://www.cip.audi.de/jira/browse/ACORE-11048 angelegt.

Grüße,

Sebastian

#12 - 2021-05-17 14:02 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF3: Session Import funktioniert nur sehr eingeschränkt to Limited functionality regarding included sessions

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

#13 - 2021-05-17 14:02 - hidden

- Status changed from To Be Closed to Closed
